# DMFinalizePackage

This function finalizes everything in the DM package. It is called from PetscFinalize().

### Synopsis

    PetscErrorCode PETSCDM_DLLEXPORT DMFinalizePackage()

### Keywords

AO, DA, initialize, package

### See Also

PetscInitialize()

Level:developer
Location: src/dm/ao/interface/dlregisdm.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages